# ImportWizardPageJDBC (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.wizard

## Class ImportWizardPageJDBC

- java.lang.Object
- - org.eclipse.jface.dialogs.DialogPage
  - - org.eclipse.jface.wizard.WizardPage
    - - org.deidentifier.arx.gui.view.impl.wizard.ImportWizardPageJDBC

- All Implemented Interfaces:
    org.eclipse.jface.dialogs.IDialogPage, org.eclipse.jface.dialogs.IMessageProvider, org.eclipse.jface.wizard.IWizardPage

      public class ImportWizardPageJDBC
      extends org.eclipse.jface.wizard.WizardPage

  JDBC page This page offers means to specify connection details for a database. For now MS SQL, MySQL, PostgreSQL and SQLite is supported. In case of remote database types (i.e. MS SQL, MySQL and PostgreSQL) the user is asked for the server and a username and password. In case of SQLite the user can select any *.db file. After ther user specified the details a connection is established and passed on to `ImportWizardModel`. This includes:
  - {@link ImportWizardModel#setJdbcConnection(Connection)
  - {@link ImportWizardModel#setJdbcTables(List)

- - ### Field Summary

    - ### Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider

      `ERROR, INFORMATION, NONE, WARNING`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ImportWizardPageJDBC(ImportWizard wizardImport)` Creates a new instance of this page and sets its title and description.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `createControl(org.eclipse.swt.widgets.Composite parent)` Creates the design of this page This adds all the controls to the page along with their listeners.

    - ### Methods inherited from class org.eclipse.jface.wizard.WizardPage

      `canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getNextPage, getPreviousPage, getShell, getWizard, isCurrentPage, isPageComplete, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

    - ### Methods inherited from class org.eclipse.jface.dialogs.DialogPage

      `convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, dispose, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage

      `dispose, getControl, getDescription, getErrorMessage, getMessage, getTitle, performHelp, setVisible`

- - ### Constructor Detail

    - #### ImportWizardPageJDBC

          public ImportWizardPageJDBC(ImportWizard wizardImport)

      Creates a new instance of this page and sets its title and description.
      Parameters:
        `wizardImport` - Reference to wizard containing this page

  - ### Method Detail

    - #### createControl

          public void createControl(org.eclipse.swt.widgets.Composite parent)

      Creates the design of this page This adds all the controls to the page along with their listeners.
      Parameters:
        `parent` -